=== debian/changelog ===
massxpert (3.5.0-2) unstable; urgency=medium

  * Closes: #777998.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 09 Jul 2015 16:43:00 +0200

massxpert (3.5.0-1) unstable; urgency=medium

  * Fixes to the code errors spotted by gcc-5.1.1 (20150622). Not closing
    the bug number #777998 as requested by the reporter (Matthias Klose
    <doko@debian.org>);

  * New upstream version 3.5.0 with finished Qt5 port;

  * Build-Depends: change to qtbase5-dev (>= 5.3.2+dfsg-5), libqt5svg5-dev
    (>= 5.3.2-2), and cmake (>= 3.2.2-2);

  * Standards-Version: bump up to 3.9.6. No changes needed;

  * moved upstream to upstream/metadata (Thanks Andreas Tille, although I
    had done this long ago, Mon Aug 18, without pushing, sadly).
    
 -- Filippo Rusconi <lopippo@debian.org>  Wed, 01 Jul 2015 22:37:23 +0200

massxpert (3.4.0-2) UNRELEASED; urgency=medium

  * Team upload
  * Moved debian/upstream to debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Fri, 31 Oct 2014 18:55:26 +0100
