## massxpert 3.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #############################################################
 # Software configuration
 PROJECT(massxpert)
-SET(VERSION "3.5.0")
+SET(VERSION "3.6.0")
 
 IF(APPLE)
   # If Mac OS X, then capitalize the program name.
