=== i18n/CMakeLists.txt ===
SET (massxpert_TRANSLATIONS massxpert_fr.qm)

INSTALL (FILES ${massxpert_TRANSLATIONS} 
  DESTINATION ${MASSXPERT_LOCALE_DIR})
