=== lib/CMakeLists.txt ===
########################################################
# Files

file(GLOB masslib_SRCS *.cpp)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

########################################################
# Build

IF(CMAKE_BUILD_TYPE STREQUAL "debug")
  ADD_DEFINITIONS(-g -O0)
ENDIF()

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

ADD_LIBRARY(masslib STATIC 
  ${masslib_SRCS})


INCLUDE_DIRECTORIES(
  ${QT_INCLUDE_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${QT_QTSVG_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}) # for the config.h file generated from config.h.in

TARGET_LINK_LIBRARIES(masslib
  Qt5::Xml
  Qt5::Svg)
