=== debian/control ===
Source: massxpert
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>=9.20130630),
               dpkg-dev (>= 1.16.1~),
               qtbase5-dev (>= 5.3.2+dfsg-5),
               libqt5svg5-dev (>= 5.3.2-2),
               cmake (>= 3.2.2-2),
               texlive-latex-recommended,
               texlive-fonts-recommended
Standards-Version: 3.9.6
Homepage: http://www.massxpert.org
Vcs-Git: git://anonscm.debian.org/debichem/packages/massxpert.git
Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/massxpert.git

Package: massxpert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, massxpert-data (>= ${source:Upstream-Version}), massxpert-data (<< ${source:Upstream-Version}A~)
Suggests: massxpert-doc
Replaces: massxpert-bin
Conflicts: massxpert-bin
Description: linear polymer mass spectrometry software
 massXpert is a program to simulate and analyse mass spectrometric
 data obtained on linear (bio-)polymers. It is the successor of GNU
 polyxmass.
 .
 Four modules allow:
  - making brand new polymer chemistry definitions;
  - using the definitions to perform easy calculations in a desktop
    calculator-like manner;
  - performing sophisticated polymer sequence editing and simulations;
  - perform m/z list comparisons;
 .
 Chemical simulations encompass cleavage (either chemical or
 enzymatic), gas-phase fragmentations, chemical modification of any
 monomer in the polymer sequence, cross-linking of monomers in the
 sequence, arbitrary mass searches, calculation of the isotopic
 pattern...

Package: massxpert-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, massxpert (= ${binary:Version})
Description: linear polymer mass spectrometry software - debugging symbols
 massXpert is a program to simulate and analyse mass spectrometric
 data obtained on linear (bio-)polymers. It is the successor of GNU
 polyxmass.
 .
 Four modules allow:
  - making brand new polymer chemistry definitions;
  - using the definitions to perform easy calculations in a desktop
    calculator-like manner;
  - performing sophisticated polymer sequence editing and simulations;
  - perform m/z list comparisons;
 .
 Chemical simulations encompass cleavage (either chemical or
 enzymatic), gas-phase fragmentations, chemical modification of any
 monomer in the polymer sequence, cross-linking of monomers in the
 sequence, arbitrary mass searches, calculation of the isotopic
 pattern...
 .
 This package provides the debugging symbols for massxpert.

Package: massxpert-data
Architecture: all
Depends: ${misc:Depends}
Description: linear polymer mass spectrometry software - arch-indep data
 massXpert is a program to simulate and analyse mass spectrometric
 data obtained on linear (bio-)polymers. It is the successor of GNU
 polyxmass.
 .
 This package contains the architecture-independent data required for
 the proper functioning of massXpert. For example, polymer chemistry
 definition files are in this package.

Package: massxpert-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linear polymer mass spectrometry software - manual
 massXpert is a program to simulate and analyse mass spectrometric
 data obtained on linear (bio-)polymers. It is the successor of GNU
 polyxmass.
 .
 This package contains the manual in PDF format.
