## massxpert 3.6.1

=== debian/changelog ===
massxpert (3.6.1-1) unstable; urgency=low

  * New upstream version: Fix programming error detected by using GCC-6.
    Thanks to Lucas Nussbaum <lucas@debian.org> (Closes: 831089).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 19 Jul 2016 12:16:20 +0200

massxpert (3.6.0-1) unstable; urgency=medium

  * New upstream version which modifies the way masses are calculated for
    fragment oligomers so as to allow negative ionization mode
    fragmentation experiments. The user needs to review the polymer
    chemistry definitions so that they account for the new workings: the
    formula of the fragmentation patterns needs to yield a neutral species
    (typically by removing H from the original FragSpec formula: appending
    -H to it should do). The ionization of the fragments is then performed
    using the current ionization rule defined in the editor window of
    massXpert. Updated the manual to  document all these changes.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 19 Sep 2015 15:00:32 +0200
