=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                cmake (>= 3.2.2-2),
                texlive-latex-recommended,
                texlive-fonts-recommended
-Standards-Version: 3.9.6
-Homepage: http://www.massxpert.org
+Standards-Version: 3.9.8
+Homepage: https://www.tuxfamily.org/massxpert/
 Vcs-Git: git://anonscm.debian.org/debichem/packages/massxpert.git
-Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/massxpert.git
+Vcs-Browser: https://anonscm.debian.org/git/debichem/packages/massxpert.git
 
 Package: massxpert
 Architecture: any
