=== debian/rules ===
--- 
+++ 
@@ -176,7 +176,6 @@
 	dh_installchangelogs  -a
 	dh_installdocs -a
 	dh_install -a
-	dh_installmenu -a
 	dh_installman -a
 	dh_strip --dbg-package=massxpert-dbg -a
 	dh_compress -a
