=== doc/user-manual/CMakeLists.txt ===
if(BUILD_USER_MANUAL)

message("")
message(STATUS "${BoldGreen}Starting configuration for the user manual for TARGET ${TARGET} ${ColourReset}")
message("")

# The user manual
if(UNIX AND NOT APPLE)

	# Command:
	# make massxpert-doc
	# Makes use of the local Makefile file.
	# Will generate HTML and PDF documentation in the build directory
	add_custom_target(massxpert-doc ALL
		COMMAND make all
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
		COMMENT "DocBook-based user manual documentation for massXpert")

endif(UNIX AND NOT APPLE)

install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/build/massxpert-user-manual/massxpert-doc.pdf
	DESTINATION ${DOC_DIR})

install(DIRECTORY 
	${CMAKE_CURRENT_SOURCE_DIR}/build/massxpert-user-manual/html/massxpert-user-manual/
	DESTINATION ${DOC_DIR}/html)

message("")
message(STATUS "${BoldGreen}Finished configuring the massxpert user manual.${ColourReset}")
message("")

else()

  message(STATUS "User manual build skipped")

endif()
