=== debian/changelog ===
massxpert (6.0.1-1) unstable; urgency=low

  * Implement ready access to the user manual from the help/about dialog
    window.

  * Some improvements in the CMake-based build system.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 23 Jul 2020 18:58:02 +0200

massxpert (6.0.0-1) unstable; urgency=low

  * New packaging that is now independent of msXpertSuite and that will be
    shipped separately from the mineXpert2 package. This software is
    considered featureful and stable. It won't change as much as minexpert2,
    so shipping it separately now makes sense.

  * Note that a number of deprecation warnings were fixed due to the
    upgrade to Qt 5.14 from 5.12 (qSort() -> std::sort() and 
    qGreater<Type>() -> std::greater<Type>() and 
    QMatrix -> QTransform).

  * The version number starts at 6.0.0.

  * I have conserved the package history below just for the record.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 01 Jul 2020 17:35:32 +0200

msxpertsuite (5.8.7-1) UNRELEASED; urgency=low

  * Fixes to the icons handling.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 13 Mar 2019 14:47:15 +0100

msxpertsuite (5.8.6-2) unstable; urgency=low

  * d/control: +Homepage: http://www.msxpertsuite.org/ (not https).

  * Fix the license mismatch output by lintian (appstream.xml file vs
    d/copyright).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 Mar 2019 12:40:54 +0100

msxpertsuite (5.8.6-1) unstable; urgency=low

  * Reinstate partially all the conflicts/breaks/replaces statements for the
    mspxertsuite-massxpert binary package. This ensures that upgrade of
    massxpert from stable's version to this version does not stumble upon
    overwriting blocks. Thanks to Andreas Beckmann
    <anbe@debian.org> for reporting the piuparts log (Closes: #922287).

  * Took advantage to update the
    minexpert/org.msxpertsuite.minexpert.appdata.xml file (which justifies new
    upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 14 Feb 2019 17:08:52 +0100

msxpertsuite (5.8.5-1) unstable; urgency=low

  * appdata fixes to the gpl version number (lintian warning).

  * d/rules: fix problem with the path to the .fop.xconf file not being found.
    This is a missing fix with respect to the other d/rules files that was
    working.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 12 Feb 2019 08:59:24 +0100

msxpertsuite (5.8.4-1) unstable; urgency=low

  * Make the user manuals and install them under the control of CMake.

  * Convert d/rules to the debhelper mini format.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 Feb 2019 13:46:36 +0100

msxpertsuite (5.8.3-1) unstable; urgency=low

  * Make sure CMake is called during dpkg-buildpackage -A (Closes: #921727).
    Thanks to Santiago Vila <sanvila@debian.org> for the report.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 08 Feb 2019 17:02:20 +0100

msxpertsuite (5.8.2-1) unstable; urgency=low

  * New version with the daps dependency for the user manuals build.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 Feb 2019 19:04:58 +0100

msxpertsuite (5.8.1-1) UNRELEASED; urgency=low

  * New upstream release with new configuration mode for the IsoSpec isotopic
    cluster calculations.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 Feb 2019 21:33:53 +0100

msxpertsuite (5.8.0-1) UNRELEASED; urgency=low

  * New upstream version with implementation of a GUI for the IsoSpec library.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 29 Jan 2019 10:12:55 +0100

msxpertsuite (5.7.3-1) unstable; urgency=low

  * Fixes upstream.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 16 Jan 2019 19:14:57 +0100

msxpertsuite (5.7.2-1) unstable; urgency=low

  * Bug fixes in upstream massXpert.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 15 Jan 2019 22:05:46 +0100

msxpertsuite (5.7.1-1) unstable; urgency=low

  * Small fixes in upstream.

  * Ship the data and doc (all-architecture) material in dedicated packages.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 21 Dec 2018 17:07:40 +0100

msxpertsuite (5.7.0-2) UNRELEASED; urgency=low

  * Fix all -> any Arch silly error. Stupid.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 21 Dec 2018 16:16:12 +0100

msxpertsuite (5.7.0-1) unstable; urgency=low

  * New upstream release featuring the ability to shape a mass peak centroid
    into a Gaussian/Lorentzian configurable peak. Update the user manual to
    document that new feature.
 
  * Break msxpertsuite into two binary packages: msxpertsuite-massxpert and
    msxpertsuite-minexpert.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 21 Dec 2018 12:32:25 +0100

msxpertsuite (5.6.1-1) unstable; urgency=low

  * New upstream release to cope with the libpwiz API change in the
    BinaryDataEncoder class, with the creation of the new BinaryData class to
    handle what used to be std::vector<double>.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 11 Dec 2018 17:42:41 +0100

msxpertsuite (5.6.0-1) unstable; urgency=low

  * New upstream version:
 
    - Improve the interpreation of script lines;
    - Start implementation of a JavaScript script file to calibrate the Synapt
      data.
    - Improve the mass data integration in script mode;
    - When creating mass spectrum from clipboard, automatically trigger the
      computation of the actual mass spectrum plot without requiring a TIC 
      to mass spectrum computation.
    - Provide Savitzky-Golay filtering to any trace in any plot widget with
      undo/redo feature.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 13 Oct 2018 11:59:05 +0200

msxpertsuite (5.5.3-3) unstable; urgency=low

  * Make sure we load the orig tar ball.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 04 Oct 2018 20:08:06 +0200

msxpertsuite (5.5.3-2) unstable; urgency=low

  * Abandon the developer documentation binary package that is too large.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 04 Oct 2018 17:30:09 +0200

msxpertsuite (5.5.3-1) unstable; urgency=low


