=== debian/control ===
Source: massxpert
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper-compat (= 12),
 dpkg-dev (>= 1.18.25),
 graphicsmagick-imagemagick-compat,
 qtbase5-dev (>= 5.11.3),
 libqt5svg5-dev (>= 5.11.3),
 cmake (>= 3.12),
 daps (>= 3.0.0),
 libjeuclid-core-java,
 libjeuclid-fop-java,
 docbook-mathml,
 libjs-jquery,
 libjs-highlight.js,
 libjs-mathjax,
 fonts-mathjax,
 fonts-mathjax-extras,
 texlive-fonts-extra,
 fonts-ebgaramond-extra,
 docbook-to-man,
 qttools5-dev-tools,
 qtchooser
Standards-Version: 4.5.0
Homepage: http://www.msxpertsuite.org/
Vcs-Browser: https://salsa.debian.org/debichem-team/massxpert
Vcs-Git: https://salsa.debian.org/debichem-team/massxpert.git


Package: massxpert
Architecture: any
Depends: ${shlibs:Depends},
				 ${misc:Depends},
         massxpert-data (>= ${source:Upstream-Version})
Suggests: massxpert-doc (>= ${source:Upstream-Version})
Replaces: msxpertsuite-massxpert (<< 6.0.0)
Breaks: msxpertsuite-massxpert (<< 6.0.0)
Conflicts: msxpertsuite-massxpert
Description: polymer chemistry modelling and mass spectrometry data simulation (runtime)
 massXpert allows the user to perform the following tasks:
 .
  - Make brand new polymer chemistry definitions;
  - Use the definitions to easily perform calculations in a desktop
    calculator-like manner;
  - Perform sophisticated polymer sequence editing and simulations;
  - Perform m/z list comparisons;
 .
 Chemical simulations encompass cleavage (either chemical or
 enzymatic), gas-phase fragmentations, chemical modification of any
 monomer in the polymer sequence, cross-linking of monomers in the
 sequence, arbitrary mass searches...
 .
 This package ships the massXpert program.


Package: massxpert-data
Architecture: all
Depends: ${misc:Depends},
Suggests: massxpert-doc (>= ${source:Upstream-Version})
Replaces: msxpertsuite-massxpert-data-doc (<< 6.0.0)
Breaks: msxpertsuite-massxpert-data-doc (<< 6.0.0)
Conflicts: msxpertsuite-massxpert-data-doc
Description: polymer chemistry modelling and mass spectrometry data simulation (data)
 massXpert allows the user to perform the following tasks:
 .
  - Make brand new polymer chemistry definitions;
  - Use the definitions to easily perform calculations in a desktop
    calculator-like manner;
  - Perform sophisticated polymer sequence editing and simulations;
  - Perform m/z list comparisons;
 .
 Chemical simulations encompass cleavage (either chemical or
 enzymatic), gas-phase fragmentations, chemical modification of any
 monomer in the polymer sequence, cross-linking of monomers in the
 sequence, arbitrary mass searches...
 .
 This package ships the polymer chemistry data.


Package: massxpert-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-highlight.js,
         ${misc:Depends}
Replaces: msxpertsuite-massxpert-data-doc (<< 6.0.0)
Breaks: msxpertsuite-massxpert-data-doc (<< 6.0.0)
Conflicts: msxpertsuite-massxpert-data-doc
Description: polymer chemistry modelling and mass spectrometry data simulation (doc)
 massXpert allows the user to perform the following tasks:
 .
  - Make brand new polymer chemistry definitions;
  - Use the definitions to easily perform calculations in a desktop
    calculator-like manner;
  - Perform sophisticated polymer sequence editing and simulations;
  - Perform m/z list comparisons;
 .
 Chemical simulations encompass cleavage (either chemical or
 enzymatic), gas-phase fragmentations, chemical modification of any
 monomer in the polymer sequence, cross-linking of monomers in the
 sequence, arbitrary mass searches...
 .
 This package ships the user manual in both PDF and HTML formats.
